summaryrefslogtreecommitdiff
path: root/dev-python/python-systemd/python-systemd-231.ebuild
diff options
context:
space:
mode:
authorMike Gilbert <floppym@gentoo.org>2015-12-19 09:59:49 -0500
committerMike Gilbert <floppym@gentoo.org>2015-12-19 10:03:08 -0500
commit7394650daff30599077ed9d9544b05f8c90dae21 (patch)
tree5e066fb16851b87d6cdb102f069a4cdd3c86c68f /dev-python/python-systemd/python-systemd-231.ebuild
parent2c627ae6066276bcba1ae7b678d315a66404a20d (diff)
downloadgentoo-7394650daff30599077ed9d9544b05f8c90dae21.tar.gz
gentoo-7394650daff30599077ed9d9544b05f8c90dae21.tar.bz2
gentoo-7394650daff30599077ed9d9544b05f8c90dae21.zip
dev-python/python-systemd: Bump to 231
Package-Manager: portage-2.2.26_p32
Diffstat (limited to 'dev-python/python-systemd/python-systemd-231.ebuild')
-rw-r--r--dev-python/python-systemd/python-systemd-231.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/dev-python/python-systemd/python-systemd-231.ebuild b/dev-python/python-systemd/python-systemd-231.ebuild
new file mode 100644
index 000000000000..1b1f6e441d8a
--- /dev/null
+++ b/dev-python/python-systemd/python-systemd-231.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python module for native access to the systemd facilities"
+HOMEPAGE="https://github.com/systemd/python-systemd"
+SRC_URI="https://github.com/systemd/python-systemd/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test"
+
+COMMON_DEPEND="
+ sys-apps/systemd:0=
+"
+DEPEND="${COMMON_DEPEND}
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+"
+RDEPEND="${COMMON_DEPEND}
+ !sys-apps/systemd[python(-)]
+"
+
+PATCHES=(
+ "${FILESDIR}"/231-test_daemon-SO_PASSCRED.patch
+)
+
+python_test() {
+ py.test "${BUILD_DIR}/lib" || die
+}